Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.slide.util.conf
Class ConfigurationImpl

    java.lang.Object
      org.apache.slide.util.conf.AbstractConfiguration
          org.apache.slide.util.conf.ConfigurationImpl

All Implemented Interfaces:
  Configuration

public class ConfigurationImpl
extends AbstractConfiguration

This is the default `Configuration` implementation. (Betaversion Productions) (Apache Software Foundation) (Apache Software Foundation, Exoffice Technologies)

Version:
  CVS $Revision: 1.5 $ $Date: 2004/07/28 09:34:23 $

Field Summary

Fields inherited from class org.apache.slide.util.conf.AbstractConfiguration
`location`

Constructor Summary
`protected` | `ConfigurationImpl()` Create a new `ConfigurationImpl` instance.
`protected` | `ConfigurationImpl(java.lang.String name)` Create a new `ConfigurationImpl` instance.
`protected` | `ConfigurationImpl(java.lang.String name, java.lang.String source, int line)` Create a new `ConfigurationImpl` instance.

Method Summary
`protected java.lang.String` | `addAttribute(java.lang.String name, java.lang.String value)` Add an attribute to this configuration element, returning its old value or null.
`void` | `addConfiguration(Configuration conf)` Add a child `Configuration` to this configuration element.
`protected void` | `appendValueData(java.lang.String value)` Append data to the value of this configuration element.
`java.lang.String` | `getAttribute(java.lang.String name)` Returns the value of the attribute specified by its name as a `String`.
`Configuration` | `getConfiguration(java.lang.String name)` Return the first `Configuration` object child of this associated with the given name or null.
`java.util.Enumeration` | `getConfigurations(java.lang.String name)` Return an `Enumeration` of `Configuration` objects children of this associated with the given name.
`java.lang.String` | `getName()` Returns the name of this configuration element.
`java.lang.String` | `getValue()` Returns the value of the configuration element as a `String`.

Methods inherited from class org.apache.slide.util.conf.AbstractConfiguration
`getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsFloat, getAttributeAsFloat, getAttributeAsInt, getAttributeAsInt, getAttributeAsLong, getAttributeAsLong, getLocation, getValue, getValueAsBoolean, getValueAsBoolean, getValueAsFloat, getValueAsFloat, getValueAsInt, getValueAsInt, getValueAsLong, getValueAsLong`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigurationImpl

    protected ConfigurationImpl()

  Create a new `ConfigurationImpl` instance.

### ConfigurationImpl

    protected ConfigurationImpl(java.lang.String name)

  Create a new `ConfigurationImpl` instance.

### ConfigurationImpl

    protected ConfigurationImpl(java.lang.String name,
                                java.lang.String source,
                                int line)

  Create a new `ConfigurationImpl` instance.

Method Detail

### getName

    public java.lang.String getName()

  Returns the name of this configuration element.

  Returns:
    name of the `Configuration` node.

### getValue

    public java.lang.String getValue()
                              throws ConfigurationException

  Returns the value of the configuration element as a `String`.

  Returns:
    the value of the node.
  Throws:
    `ConfigurationException` - If the value is not present.

### getAttribute

    public java.lang.String getAttribute(java.lang.String name)
                                  throws ConfigurationException

  Returns the value of the attribute specified by its name as a `String`.

  Parameters:
    `name` - The name of the parameter you ask the value of.
  Returns:
    String value of attribute.
  Throws:
    `ConfigurationException` - If the attribute is not present.

### getConfiguration

    public Configuration getConfiguration(java.lang.String name)

  Return the first `Configuration` object child of this associated with the given name or null.

  TODO this does not match the description in the interface

  Specified by:
    `getConfiguration` in interface `Configuration`
  Overrides:
    `getConfiguration` in class `AbstractConfiguration`
  Parameters:
    `name` - The name of the required child `Configuration`.

### getConfigurations

    public java.util.Enumeration getConfigurations(java.lang.String name)

  Return an `Enumeration` of `Configuration` objects children of this associated with the given name.
  The returned `Enumeration` may be empty.

  Parameters:
    `name` - The name of the required children `Configuration`.
  Returns:
    Enumeration. The `Enumeration` will be empty if there are no nodes by the specified name.

### appendValueData

    protected void appendValueData(java.lang.String value)

  Append data to the value of this configuration element.

### addAttribute

    protected java.lang.String addAttribute(java.lang.String name,
                                            java.lang.String value)

  Add an attribute to this configuration element, returning its old value or null.

### addConfiguration

    public void addConfiguration(Configuration conf)

  Add a child `Configuration` to this configuration element.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD